LIGHTWALLET(1)

NAME
lightwalletd - manual page for hush lightwalletd v0.1.1

DESCRIPTION
lightwalletd runs a lightwallet daemon for a Hush Silent Dragon Lite node.

In order to ensure you are adequately protecting your privacy when using Hush, please see <https://hush.is/security/>.

  Usage:

lightwalletd [options]
    Start Hush lightwalletd

lightwalletd --help
    List available command line options

lightwalletd --version
    Display version information

OPTIONS

-help | -h | -?

    Display command line options

-conf-file [conf_file location]

    Configures your HUSH3.conf file location [Required to run]. Typically ~/.hush/HUSH3/HUSH3.conf

-bind-addr host.net:chosen_port

    Set host.net to either a FQDN or 127.0.0.1 depending on your configuration [Required to run]. Most common port is 9067 unless changed.

-no-tls

    Disable TLS, serve un-encrypted traffic. Toggle depending on your configuration.

-cache-size int

    Set number of blocks to hold in the cache (default 40000)

-log-file string

    Set log file to write to

-log-level uint

    log level (logrus 1-7) (default 4)

-tls-cert string

    the path to a TLS certificate (optional)

-tls-key string

    the path to a TLS key file (optional)

COPYRIGHT
In order to ensure you are adequately protecting your privacy when using Hush, please see <https://hush.is/security/>. Copyright (C) 2021 Jahway603 and The Hush Developers This is experimental Free Software! Fuck Yeah!!!!! Distributed under the GPLv3 software license, see the accompanying file COPYING or <https://www.gnu.org/licenses/gpl-3.0.en.html>.